<template>
  <div class="twowaybinding">
    <h1>v-model - Examples</h1>

    <div class="separator">
      <input v-model="message" placeholder="modifiez-moi">
      <p>Le message est : {{ message }}</p>
    </div>
    
    <div class="separator">
      <br>
      <input type="checkbox" id="checkbox" v-model="checked">
      <label for="checkbox">{{ checked }}</label>
      <br>
    </div>

    <div class="separator">
      <input type="checkbox" id="jack" value="Jack" v-model="checkedNames">
      <label for="jack">Jack</label>
      <input type="checkbox" id="john" value="John" v-model="checkedNames">
      <label for="john">John</label>
      <input type="checkbox" id="mike" value="Mike" v-model="checkedNames">
      <label for="mike">Mike</label>
      <br>
      <span>Noms cochés : {{ checkedNames }}</span>
    </div>

    <div class="separator">
      <input type="radio" id="one" value="Un" v-model="picked">
      <label for="one">Un</label>
      <br>
      <input type="radio" id="two" value="Deux" v-model="picked">
      <label for="two">Deux</label>
      <br>
      <span>Choisi : {{ picked }}</span>
    </div>

    <div class="separator">
      <select v-model="selected">
        <option disabled value="">Choisissez</option>
        <option>A</option>
        <option>B</option>
        <option>C</option>
      </select>
      <span>Sélectionné : {{ selected }}</span>
    </div>  
  </div>
</template>

<script>


export default {
  name: 'TwoWayBinding',

  data: function () {
    return {
      message: 'Ceci est un super message',
      checked: true,
      checkedNames: [],
      picked: '',
      selected: '',
    }
  },
}
</script>

<style lang="scss" scoped>
  .twowaybinding {
    text-align: left;

    .separator {
      border-bottom: solid 1px red;
      padding-bottom: 1rem;
      margin-bottom: 3rem;
    }
  }
</style>
